### Virtual Method

# Soup WebsocketExtension get_request_params

#### Declaration [src]

    char*
    get_request_params (
      SoupWebsocketExtension* extension
    )

#### Description [src]

Get the parameters strings to be included in the request header.

If the extension doesn’t include any parameter in the request, this function returns `NULL`.

#### Return value

Returns: | `char*`
| A new allocated string with the parameters.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.